GrailsPluginManagerFactoryBean (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Java] Class GrailsPluginManagerFactoryBean

- org.codehaus.groovy.grails.plugins.GrailsPluginManagerFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

      public class GrailsPluginManagerFactoryBean
      extends java.lang.Object

  A factory bean for loading the GrailsPluginManager instance.

  Authors:
    Graeme Rocher
    Chanwit Kaewkasi
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PLUGIN_LOADER_CLASS` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `GrailsPluginManager` | `getObject()`
    `java.lang.Class<GrailsPluginManager>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setApplication(GrailsApplication application)` @param application the application to set
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `void` | `setGrailsDescriptor(org.springframework.core.io.Resource grailsDescriptor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PLUGIN_LOADER_CLASS

  - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public GrailsPluginManager getObject()

    - #### public java.lang.Class<GrailsPluginManager> getObjectType()

    - #### public boolean isSingleton()

    - #### public void setApplication(GrailsApplication application)

      Parameters:
        `application` - the application to set

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### public void setGrailsDescriptor(org.springframework.core.io.Resource grailsDescriptor)